<!DOCTYPE html>
<html lang="fr">
	<head>
		<title>TP Web (partie 2)</title>
		<base href="/" />
		<meta charset="UTF-8"/>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta name="viewport" content="width=device-width, maximum-scale=1, user-scalable=1">
		<link href="css/tpweb.css" rel="stylesheet" type="text/css">
	</head>
	<body>
		<div class="httpinfo">
			<div class="httpinfo-area">
				Quelques informations concernant la requête reçue par le serveur : <br/>
				<br/>
				<table class="httpinfo-table">
					<thead>
						<tr>
							<th>Dénomination</th>
							<th>Valeur(s)</h>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>Hôte</td>
							<td>
								<?=$_SERVER['SERVER_NAME']?> <br/>
								<?=$_SERVER['SERVER_ADDR']?>
							</td>
						</tr>
						<tr>
							<td>Port</td>
							<td><?=$_SERVER['SERVER_PORT']?></td>
						</tr>
						<tr>
							<td>URI</td>
							<td>
								<?php
									$uri = $_SERVER['REQUEST_URI'];
									$uriDivided = explode('?', $uri);
									echo $uriDivided[0];
								?>
							
							</td>
						</tr>
						<tr>
							<td>GET</td>
							<td>
								<?php
									foreach($_GET as $name => $value){
										if(!is_array($value)){
											echo '<span>' . $name . '</span><span> => </span><span>' . $value . '</span>';
										}
									}
								?>
							</td>
						</tr>
						<tr>
							<td>POST</td>
							<td>
								<?php
									foreach($_POST as $name => $value){
										if(!is_array($value)){
											?>
											<span><?=$name?></span>
											<span> => </span>
											<span><?=$value?></span>
											<?php
										}
									}
								?>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</body>
</html>